Package pygccxml :: Package parser :: Module source_reader :: Class gccxml_runtime_error_t

# type gccxml_runtime_error_t

source code

                  object --+
                           |
    exceptions.BaseException --+
                               |
            exceptions.Exception --+
                                   |
            exceptions.StandardError --+
                                       |
                 exceptions.RuntimeError --+
                                           |
                                          gccxml_runtime_error_t

Instance Methods

__init__(self, msg) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code

Inherited from `exceptions.RuntimeError`: `__new__` Inherited from `exceptions.BaseException`: `__delattr__`, `__getattribute__`, `__getitem__`, `__reduce__`, `__repr__`, `__setattr__`, `__setstate__`, `__str__`

Properties
Inherited from `exceptions.BaseException`: `args`, `message`

Method Details

### __init__(self, msg)
(Constructor)

source code

x.__init__(...) initializes x; see x.__class__.__doc__ for signature

Overrides: exceptions.BaseException.__init__
  (inherited documentation)